%global _empty_manifest_terminate_build 0
Name:		python-portalocker
Version:	2.0.0
Release:	2
Summary:	Wraps the portalocker recipe for easy usage
License:	PSF
URL:		https://github.com/WoLpH/portalocker
Source0:	https://files.pythonhosted.org/packages/df/48/62cf97ff7d2233e7db29dfb83f1584e26289e88af8af39de1a76629ac487/portalocker-2.0.0.tar.gz
BuildArch:	noarch


%description
Portalocker is a library to provide an easy API to file locking.

%package -n python3-portalocker
Summary:	Wraps the portalocker recipe for easy usage
Provides:	python-portalocker
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-portalocker
Portalocker is a library to provide an easy API to file locking.

%package help
Summary:	Development documents and examples for portalocker
Provides:	python3-portalocker-doc
%description help
Portalocker is a library to provide an easy API to file locking.

%prep
%autosetup -n portalocker-2.0.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-portalocker -f filelist.lst
%dir %{python3_sitelib}/*
%dir %{python3_sitelib}/portalocker/__pycache__

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Oct 09 2021 wulei <wulei80@huawei.com> - 2.0.0-2
- Delete module folder after uninstall

* Fri Sep 04 2020 Python_Bot <Python_Bot@openeuler.org>
- Simplify desc content

* Fri Sep 04 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
